import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.data.IData;

function addSingleSAGMill(uniqueID as string, itemIn as IIngredient, itemOut as IItemStack, powerRequired as int) as void {
	<recipetype:enderio:sag_milling>.addJsonRecipe("sagmilling_" + uniqueID, {
		"type": "enderio:sag_milling",
		"energy": powerRequired,
		"input": itemIn as IData,
		"outputs": [itemOut as IData]
	});
}

function addDoubleSAGMill(uniqueID as string, itemIn as IIngredient, itemOut1 as IItemStack, itemOut2 as IItemStack, powerRequired as int) as void {
	<recipetype:enderio:sag_milling>.addJsonRecipe("sagmilling_" + uniqueID, {
		"type": "enderio:sag_milling",
		"energy": powerRequired,
		"input": itemIn as IData,
		"outputs": [itemOut1 as IData, itemOut2 as IData]
	});
}

function addDoubleAlloySmelter(uniqueID as string, itemIn1 as IIngredient, itemIn2 as IIngredient, itemOut as IItemStack, powerRequired as int) as void {
	<recipetype:enderio:alloy_smelting>.addJsonRecipe("alloysmelting_" + uniqueID, {
		"type": "enderio:alloy_smelting",
		"energy": powerRequired,
		"experience": 0.3,
		"inputs": [{"count": 1, "ingredient": itemIn1 as IData}, {"count": 1, "ingredient": itemIn2 as IData}],
		"result": itemOut as IData
	});
}

function addTripleAlloySmelter(uniqueID as string, itemIn1 as IIngredient, itemIn2 as IIngredient, itemIn3 as IIngredient, itemOut as IItemStack, powerRequired as int) as void {
	<recipetype:enderio:alloy_smelting>.addJsonRecipe("alloysmelting_" + uniqueID, {
		"type": "enderio:alloy_smelting",
		"energy": powerRequired,
		"experience": 0.3,
		"inputs": [{"count": 1, "ingredient": itemIn1 as IData}, {"count": 1, "ingredient": itemIn2 as IData}, {"count": 1, "ingredient": itemIn3 as IData}],
		"result": itemOut as IData
	});
}

addSingleSAGMill("copper_ingot_to_dust", <tag:items:forge:ingots/copper>, <item:enderio:powdered_copper>, 2400);
addSingleSAGMill("silver_ingot_to_dust", <tag:items:forge:ingots/silver>, <item:occultism:silver_dust>, 2400);
addSingleSAGMill("osmium_ingot_to_dust", <tag:items:forge:ingots/osmium>, <item:mekanism:dust_osmium>, 2400);
addSingleSAGMill("certus_quartz_to_dust", <tag:items:ae2:all_certus_quartz>, <item:ae2:certus_quartz_dust>, 2400);
addDoubleSAGMill("redstone_lamp_to_dust", <item:minecraft:redstone_lamp>, <item:minecraft:redstone> * 4, <item:minecraft:glowstone_dust> * 4, 10000);

addDoubleAlloySmelter("brass_ingot", <tag:items:forge:ingots/copper>, <tag:items:forge:ingots/zinc>, <item:create:brass_ingot> * 2, 4800);

// Recipe changes to restore ingots on Vibrant Alloy Crystals

val vibrantAlloy = <tag:items:forge:ingots/vibrant_alloy>;
val emerald = <tag:items:forge:gems/emerald>;
val vibrantCrystal = <item:enderio:vibrant_crystal>;

craftingTable.remove(vibrantCrystal);
craftingTable.addShaped("full_enderio_vibrant_crystal", vibrantCrystal, [
	[vibrantAlloy, vibrantAlloy, vibrantAlloy],
	[vibrantAlloy,    emerald,   vibrantAlloy],
	[vibrantAlloy, vibrantAlloy, vibrantAlloy]
]);

### Script by FoxMcloud5655